[package-query] Erreur dans la compilation (résolu)

Annonces, dépannage, évolution du projet yaourt
zesssez
newbie
Messages : 3
Inscription : lun. 19 janv. 2015, 18:11

[package-query] Erreur dans la compilation (résolu)

Message par zesssez » lun. 19 janv. 2015, 18:37

Salut à tous, nouveau sur ce forum frances Archlinux.

Je ai des problèmes pour construire package-query 1.5-2 sur une machine armv7h (nexus 7).

Dans une installation précédente Je ai eu le package-query installé, mais dans cette nouvelle installation Je trouve toujours l'erreur lors de la compilation:

http://pastebin.com/JNAGnuUa

Je ai essayé de compiler et d'autres paquets juste au cas était une erreur de base-devel. Dans ces autres cas la compilation fonctionne très bien.

Je ai écrit quelques messages sur le forum archlinuxarm et aussi dans le forum de AUR-package-query sans réponse à ce jour.

Je pense @tuxce est membre de archlinux.fr et comment est-il qui distribue le paquet, pour voir si il ya plus de chance ici.

merci à vous tous, je espère un peu d'aide
zesssez
Dernière édition par zesssez le mar. 20 janv. 2015, 11:18, édité 1 fois.

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 15197
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [package-query] Erreur dans la compilation

Message par benjarobin » lun. 19 janv. 2015, 21:03

Quel est le contenu de /usr/include/archive.h ? Et quelle est la sortie de : gcc --version
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

zesssez
newbie
Messages : 3
Inscription : lun. 19 janv. 2015, 18:11

Re: [package-query] Erreur dans la compilation

Message par zesssez » mar. 20 janv. 2015, 00:40

gcc --version

gcc (GCC) 4.9.2 20141224 (prerelease)
Copyright (C) 2014 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

--------------------------------------------

/usr/include/archive.h

https://www.dropbox.com/s/nq03i4d2tm0ht ... ive.h?dl=0

Je ne pouvais pas utiliser pastebin, ne sais pas si ce est normal dans ce type de fichier, mais il semble sauts de page après les premières lignes de texte. Seulement avec "cat" je pouvais visualiser.

Et ce est l'erreur dans la compilation

http://pastebin.com/JNAGnuUa

Désolé pour la langue, ce ne est pas ma première langue, donc je utilise Google Translator

à bientôt

Avatar de l’utilisateur
Xorg
Maître du Kyudo
Messages : 1927
Inscription : dim. 22 janv. 2012, 19:25
Localisation : Entre le clavier et la chaise.
Contact :

Re: [package-query] Erreur dans la compilation

Message par Xorg » mar. 20 janv. 2015, 07:00

Par rapport au contenu du fichier /usr/include/archive.h, ça ne va pas du tout, cet en-tête n'est pas complet.

Est-ce que tu l'as modifié manuellement ? Si oui, tu peux réinstaller la version originale en réinstallant le paquet comme ceci :

Code : Tout sélectionner

# pacman -S libarchive --asdeps
Parce que j'ai téléchargé manuellement le paquet en version ARMv7, j'ai fait un diff entre les deux fichiers, et ils sont identiques. Chez moi package-query compile.
Arch Linux x86_64 - Gnome 3 (Wayland)
- Desktop : Intel® Core™ i5 2500K - 8Go de DDR3 - SSD 250Go + 2 HDD 500Go
- Laptop : Intel® Pentiuml® 4405U - 4Go de DDR4 - SSD 120Go
Image AUR___Image Wiki___Image GitHub
Tux est un manchot, et non un pingouin. :marche:

zesssez
newbie
Messages : 3
Inscription : lun. 19 janv. 2015, 18:11

Re: [ résolu] [package-query] Erreur dans la compilation

Message par zesssez » mar. 20 janv. 2015, 11:26

Merci Xorg

Je ne ai jamais modifié le fichier archive.h, mais je ai suivi vos conseils de faire:

"pacman -S libarchive --asdeps"

Parfait. Je ai installé le package-query et après je ai installé yaourt.

Jusqu'à présent, tout fonctionne parfaitement

Merci encore. Cette me rendait fou. Vous êtes invités à une bière!!

Répondre